View Issue Details

IDProjectCategoryView StatusLast Update
0003294TechDraw[FreeCAD] Bugpublic2018-01-08 07:09
ReporterterokAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0003294: TechDraw: ProjectionGroup scale number editing should be disabled when user selects "Automatic" scale.
DescriptionIn ProjectionGroup Custom scale settings there is small inconsistency in operation.

When inserting projection, if Scale list is set to “Automatic”, it should disable the Custom Scale number editing. When set to "Custom scale" it should enable user to select the custom scale.

See https://forum.freecadweb.org/viewtopic.php?f=35&t=26093#p206444


Steps To ReproduceSTEPS TO REPRODUCE:

- File → Open some .stepfile [or FreeCAD doc] → Change to TechDraw Workbench
- Press button “Insert new Default Drawing page” on top left → Select Part[or body] on ComboView left
- Press “Insert multiple Views of single part” on top toolbar

Now there is ProjectionGroup setting on ComboView’s Task tab

As seen on attached image, I am editing Custom scale numbers, while the scale is set to "Automatic".
However these number do nothing at this mode....

When Scale list is set to “Automatic”, it should Disable the Custom Scale number editing.
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.12871 (Git)
Build type: Release
Branch: master
Hash: 070395d67ca45826f1481da80aa9e0f6a9ef4292
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/UnitedStates (en_US)
TagsNo tags attached.

Activities

terok

2018-01-01 05:36

reporter  

Cylinder.FCStd (23,158 bytes)

terok

2018-01-08 06:49

reporter   ~0010727

Fixed in this master commit.

Issue History

Date Modified Username Field Change
2018-01-01 05:36 terok New Issue
2018-01-01 05:36 terok File Added: Cylinder.FCStd
2018-01-01 05:36 terok File Added: TechDraw_Projectionpage_scale_numbers_not_disabled_in_Automatic_mode.png
2018-01-01 14:43 chrisb Summary ProjectionGroup scale number editing should be disabled when user selects "Automatic" scale. => TechDraw: ProjectionGroup scale number editing should be disabled when user selects "Automatic" scale.
2018-01-02 12:45 Kunda1 Additional Information Updated View Revisions
2018-01-08 06:49 terok Note Added: 0010727
2018-01-08 07:09 chrisb Status new => closed
2018-01-08 07:09 chrisb Resolution open => fixed
2018-01-08 07:09 chrisb Fixed in Version => 0.17